<?php
date_default_timezone_set('America/Costa_Rica');

include('../conexion.php');
session_start();

 $usu=$_SESSION['username'];
 
 
	if($_SESSION['tipo_usu']=='a' or $_SESSION['tipo_usu']=='u'  or $_SESSION['tipo_usu']=='c'){
		}else{
			header('location:acceso_denegado.php');
		}
		
		
	$query_delete="DELETE FROM tmp_clientes ";					
	$mysqli->query($query_delete);

	$query_update="UPDATE web_0301 SET checkunir='0'";					
	$mysqli->query($query_update);
	
	/*****************************************/
	$query_delete="DELETE FROM tmp_web_1001 ";					
	$mysqli->query($query_delete);
	
	$query_update="UPDATE web_1001 SET checkunir='0'";					
	$mysqli->query($query_update);

?>
<html>
	<head>
		<title>Familias y Lineas</title>
		<link href="../estilos/estilos.css" type="text/css" rel="stylesheet">
		<link href="../calendario/calendar-blue.css" rel="stylesheet" type="text/css">
		<link href="..//estilos/bootstrap.css" type="text/css" rel="stylesheet">
		<script src="..//jquery/bootstrap.js"></script>
        
		
		
		<script type="text/JavaScript" language="javascript" src="../calendario/calendar.js"></script>
		<script type="text/JavaScript" language="javascript" src="../calendario/lang/calendar-sp.js"></script>
		<script type="text/JavaScript" language="javascript" src="../calendario/calendar-setup.js"></script>
		 <script src="../jquery/jquery-1.3.2.js" type="text/javascript"></script>
		 
		
		<script src="../jquery/jquery-1.3.2.js" type="text/javascript"></script>
		<script src="../jquery/jquery.maskedinput-1.2.2.js" type="text/javascript"></script>
		
		
		<script type="text/javascript" src="../funciones/validar.js"></script>
		
		<script language="javascript">
		var cursor;
		if (document.all) {
		// Está utilizando EXPLORER
		cursor='hand';
		} else {
		// Está utilizando MOZILLA/NETSCAPE
		cursor='pointer';
		}
		
		function inicio() {
			//document.getElementById("dscfam").focus();
			document.getElementById("form_clientes").submit();
			document.getElementById("form_articulos").submit();
		}
						
				
//nombre del primer campo en la secuencia
siguienteCampo = ""
//nombre del formlario
nombreForm = "form_busqueda"

//funcion que gestiona el evento
function TelcaPulsada( e ) {

   if ( window.event != null)				//IE4+
      tecla = window.event.keyCode;
   else if ( e != null ) 				//N4+ o W3C compatibles
      tecla = e.which;
   else
      return;
	
   if (tecla == 13) { 					//se pulso enter
      if ( siguienteCampo == 'fin' ) {			//fin de la secuencia, hace el submit
         alert('Envio del formulario.')			//eliminar este alert para uso normal
         return false					//sustituir por return true para hacer el submit
      } else { 						//da el foco al siguiente campo
         eval('document.' + nombreForm + '.' + siguienteCampo + '.select()')
         return false
      }
   }
}

document.onkeydown = TelcaPulsada;			//asigna el evento pulsacion tecla a la funcion
if (document.captureEvents)				//netscape es especial: requiere activar la captura del evento
	document.captureEvents(Event.KEYDOWN)
	
		function nobackbutton(){	
   window.location.hash="no-back-button";	
   window.location.hash="Again-No-back-button" //chrome	
   window.onhashchange=function(){window.location.hash="no-back-button";}	
}


jQuery(function($){	
		$("#fechainicio").mask("99-99-9999");
		$("#fechafin").mask("99-99-9999");
		});



 function comprobar_fechas(){

/////////////////////////////////////////////  invierte la fecha a xxxx-xx-xx ////////////////////////////////	  
		  
	  var parts = document.getElementById("fechainicio").value.split(/-/);
		parts.reverse();
		fechainicio=parts.join('-');
		
	  var parts = document.getElementById("fechafin").value.split(/-/);
		parts.reverse();
		fechafin=parts.join('-');
		
////////////////////////////////////////////// verifique que la fecha sea correcta ///////////////////////////	


 



	
//////////////////////////////////////  convierte la fecha a formato date para ser comparado /////////////////////////	

	 date1 = new Date(fechainicio);
	 date2 = new Date(fechafin); 
		 
	var f1 = new Date();
	var f2 = new Date(date1); //31 de diciembre de 2015
	var f3 = new Date(date2);
	f1.setHours(0,0,0,0);
	f2.setHours(0,0,0,0);
	f3.setHours(0,0,0,0);

////////////////////////////////////////// compara las fechas ///////////////////////////////////////////////////////
	
	if (fechainicio !=""){
		
		
		 var fechaArr = fechainicio.split('-');
 var aho = fechaArr[0];
 var mes = fechaArr[1];
 var dia = fechaArr[2];
 
 var plantilla = new Date(aho, mes - 1, dia);//mes empieza de cero Enero = 0
 if(!plantilla || plantilla.getFullYear() == aho && plantilla.getMonth() == mes -1 && plantilla.getDate() == dia){
		
	if (f2.getTime() > f1.getTime()){
	 alert("la Fecha Inicial no puede ser mayor a la Actual ");
	document.getElementById("fechainicio").value="";
	document.getElementById("fechainicio").select();
	}

 }else{
  alert("Error fecha Inicial incorrecta favor verifique");
  document.getElementById("fechainicio").value="";
  document.getElementById("fechainicio").select();
 }
 
	}
	
	
	
	if (fechafin !=""){	
	
	 
  var fechaArr = fechafin.split('-');
 var aho = fechaArr[0];
 var mes = fechaArr[1];
 var dia = fechaArr[2];
 
 var plantilla = new Date(aho, mes - 1, dia);//mes empieza de cero Enero = 0
 if(!plantilla || plantilla.getFullYear() == aho && plantilla.getMonth() == mes -1 && plantilla.getDate() == dia){
 	
	
	if (f3.getTime() > f1.getTime()){
	 alert("la Fecha Final no puede ser mayor a la Actual ");
	document.getElementById("fechafin").value="";
	document.getElementById("fechafin").select();;
	}
 
 
 }else{
  alert("Error fecha Final incorrecta favor verifique");
  document.getElementById("fechafin").value="";
  document.getElementById("fechafin").select();
 }
	

	}
	
	
	if (f2.getTime() > f3.getTime()){
	 alert("La Fecha Inicial no puede ser mayor a la Fecha Final ");
	document.getElementById("fechafin").value="";
	document.getElementById("fechainicio").value="";
	document.getElementById("fechainicio").select();
	
	}
	
	//buscar();
	}
	

		function excel_venta_unir_clientes_agrupado() {
	
	var mensaje="";
	if (document.getElementById("fechainicio").value=="") mensaje+="  - Fecha Inicial\n";
	if (document.getElementById("fechafin").value=="") mensaje+="  - Fecha Final\n";
				
	
			if (mensaje!="") {
					alert("Atencion, Los siguientes campos son obligatorios:\n\n"+mensaje);
			} else {
		
	var fechainicio=document.getElementById("fechainicio").value;
	var fechafin=document.getElementById("fechafin").value;
	//var cdgcli=document.getElementById("cdgcli").value;
//	var cdgbar=document.getElementById("cdgbar").value;
	
	
	window.open("excel_venta_unir_clientes.php?fechainicio="+fechainicio+"&fechafin="+fechafin);
}
		}
		
		
				function excel_venta_unir_clientes_detallado() {
	
	var mensaje="";
	if (document.getElementById("fechainicio").value=="") mensaje+="  - Fecha Inicial\n";
	if (document.getElementById("fechafin").value=="") mensaje+="  - Fecha Final\n";
				
	
			if (mensaje!="") {
					alert("Atencion, Los siguientes campos son obligatorios:\n\n"+mensaje);
			} else {
		
	var fechainicio=document.getElementById("fechainicio").value;
	var fechafin=document.getElementById("fechafin").value;
	//var cdgcli=document.getElementById("cdgcli").value;
//	var cdgbar=document.getElementById("cdgbar").value;
	
	
	window.open("excel_venta_unir_clientes_detallado.php?fechainicio="+fechainicio+"&fechafin="+fechafin);
}
		}
	
	
	
		
		function limpiar_clientes() {
			document.getElementById("form_clientes").reset();
			document.getElementById("form_clientes").submit();

		
		}
		
			function limpiar_articulos() {
			document.getElementById("form_articulos").reset();
			document.getElementById("form_articulos").submit();

		
		}
			
		
function abreVentana(){
			miPopup = window.open("ver_clientes_unir.php","miwin","width=650,height=700,scrollbars=yes");
			
			miPopup.focus();
			buscar_clientes();
		}
		
		function validarcliente(){
			var codigo=document.getElementById("cdgcli").value;
			miPopup = window.open("comprobarCliente_unir.php?cdgcli="+codigo,"frame_datos","width=700,height=80,scrollbars=yes");
			
				buscar_clientes();
		}	
		
				function validararticulo(){
			var cdgbar=document.getElementById("cdgbar").value;
			miPopup = window.open("comprobarArticulo_unir.php?cdgbar="+cdgbar,"frame_datos","width=700,height=80,scrollbars=yes");
			
				buscar_articulos();
		}	
			
					function buscar_clientes() {
		
			document.getElementById("form_clientes").submit();
		}
		
		
		function ventanaArticulos(){
	
		miPopup = window.open("ver_articulos_unir.php?","miwin","width=800,height=650,scrollbars=yes");

		}
		
		
		
		function buscar_articulos() {
		
			document.getElementById("form_articulos").submit();
		}			

		function insert_clientes() {
	
	if( $("#clientes").prop("checked") ) {
		var accion =1;

			miPopup = window.open("insert_unir_clientes.php?accion="+accion,"frame_datos","width=700,height=80,scrollbars=yes");
			
		
		}
		else {
		var accion =0;

			miPopup = window.open("insert_unir_clientes.php?accion="+accion,"frame_datos","width=700,height=80,scrollbars=yes");
		}

			
			}


		function insert_articulos() {
	
	if( $("#articulos").prop("checked") ) {
		var accion =1;

			miPopup = window.open("insert_unir_articulos.php?accion="+accion,"frame_datos","width=700,height=80,scrollbars=yes");
			
		
		}
		else {
		var accion =0;

			miPopup = window.open("insert_unir_articulos.php?accion="+accion,"frame_datos","width=700,height=80,scrollbars=yes");
		}

			
			}
		</script>
	</head>
	<body  onLoad=" nobackbutton(); inicio()">
<div id="">
				<div align="center">
				  <div id="" class="contenidomodificar">
				<form id="form_busqueda" name="form_busqueda" method="post" action="" target="">
					<table class="fuente8" width="100%" cellspacing=0 cellpadding=3 border=0>					
						
                        <tr>	
						  <td width="1%" rowspan="2">&nbsp;</td>
							<td colspan="3" align="center"><h3><div align="center"><span class="label label-primary">Reporte Ventas por Cliente </span></div></h3></td>
						    <td width="16%" rowspan="2"><img src="../img/Recycle-Full-icon (3).png" width="48" height="48" border="0" onClick="limpiar()" onMouseOver="style.cursor=cursor"><img src="../img/search-b-icon (4).png" width="48" height="48" border="0" onClick="buscar()" onMouseOver="style.cursor=cursor"></td>
					      <td width="9%" colspan="2"><a  class="button" onClick="excel_venta_unir_clientes_agrupado()" > Excel Agrupado  </a></td>
                        </tr>
              <tr>
                          <td width="47%">&nbsp;</td>
                          <td width="10%">Fecha Inicial</td>
                          <td width="14%"><input id="fechainicio" type="text" class="cajaGrande" name="fechainicio" maxlength="10"  onFocus="siguienteCampo ='fechafin';"  style='text-align:center;' onChange="comprobar_fechas()" value="" ></td>
                          <td width="9%" colspan="2"><a  class="button" onClick="excel_venta_unir_clientes_detallado()" > Excel Detallado  </a></td>
              </tr>
						<tr>
						  <td>&nbsp;</td>
						  <td>&nbsp;</td>
						  <td>Fecha Final</td>
						  <td><input id="fechafin" type="text" class="cajaGrande" name="fechafin" maxlength="10"  onFocus="siguienteCampo ='cdgcli';"  style='text-align:center;' onChange="comprobar_fechas() "  ></td>
						  <td>&nbsp;</td>
						  <td colspan="2"></td>
					  </tr>
					</table>
					
			       
				   
				   
				    <input type="hidden" id="iniciopagina" name="iniciopagina">
				<input type="hidden" id="cadena_busqueda" name="cadena_busqueda">
				

			</form>


			
				<form id="form_clientes" name="form_clientes" method="post" action="Reporte_rejilla_ventas_unir_clientes.php" target="frame_rejilla">
				  <table width="100%" border=0  class="mensajeminimo" cellpadding=0 cellspacing=0  id="encabezado1">
				  <tr>
				<td width="32%" class="mensajeminimo">CLIENTES</td>
				<td width="7%" class="mensajeminimo">CODIGO</td>
				<td width="25%" class="mensajeminimo"><p>CLIENTE</p></td>
				<td width="19%" class="mensajeminimo" align="left"><p>CEDULA</p></td>
				<td width="17%" class="mensajeminimo"></td>
			      </tr>
			  </table>
                  <table align="left"  width="30%" cellspacing= cellpadding=3 border=0>
				    <tr>
				      <td colspan="5" class="">&nbsp;</td>
			        </tr>
				    <tr>
				      <td width="20%">&nbsp;</td>
				      <td width="52%"><input  name="accion" id="accion" type="hidden" value="alta" readonly></td>
				      <td colspan="3">&nbsp;</td>
			        </tr>
				    <tr>
				      <td>Codigo</td>
				      <td><input id="cdgcli" type="text" class="cajaPequena" NAME="cdgcli"   autocomplete="off"  value="" onFocus="siguienteCampo ='dsccli';"  onChange="validarcliente()">
                            <img src="../img/Search_Male_User_Icon_32.png" alt="ff" width="32" height="32" title="Buscar proveedor" onClick="abreVentana()" onMouseOver="style.cursor=cursor"> <img src="../img/Accept_Male_User_Icon_32.png" alt="f" width="32" height="32" title="Validar proveedor" onClick="validarcliente()" onMouseOver="style.cursor=cursor"></td>
				      <td width="2%">&nbsp;</td>
				      <td width="13%">&nbsp;</td>
				      <td width="13%">&nbsp;</td>
			        </tr>
				    <tr>
				      <td>Cliente</td>
				      <td colspan="4"> <input id="dsccli" name="dsccli" type="text" class="cajaGrande" autocomplete="off"   value="" onFocus="siguienteCampo ='fechainicio';"  onKeyPress="buscar_clientes()"   onChange="buscar_clientes()"></td>
			        </tr>
				    <tr>
				      <td>Todos</td>
			          <td><input type="checkbox" id="clientes" name="clientes"  value="1" c onClick="insert_clientes()" /></td>
			          <td>&nbsp;</td>
			          <td>&nbsp;</td>
			          <td>&nbsp;</td>
				    </tr>
				    <tr>
				      <td colspan="5" align="center"><img src="../img/Recycle-Full-icon (3).png" alt="S" width="48" height="48" onClick="limpiar_clientes()" onMouseOver="style.cursor=cursor" border="0"></td>
			        </tr>
				    <tr>
				      <td colspan="5">&nbsp;</td>
			        </tr>
			      </table>
                  			      </table>
				  <iframe width="69.5%" height="225" frameborder="1" id="frame_rejilla" align="left" name="frame_rejilla" >
                    <ilayer width="100%" height="60" id="frame_rejilla" name="frame_rejilla"></ilayer>
			      </iframe>
                  			      </table>
								  
				 <input type="hidden" id="chkec_cliente" name="chkec_cliente">
                 <input type="hidden" id="cdgclitmp" name="cdgclitmp">
				</form>
				
				
          	<form id="form_articulos" name="form_articulos" method="post" action="Reporte_rejilla_ventas_unir_articulos.php" target="frame_rejilla_lineas">
          	  <table width="100%"  class="mensajeminimo" border=0 cellpadding=0 cellspacing=0  id="encabezado2">
				  <tr>
				    <td width="30%" class="mensajeminimo">INVENTARIO</td>
				    <td width="7%" class="mensajeminimo">CODIGO </td>
				    <td width="32%" class="mensajeminimo">ARTICULO</td>
				    <td width="8%" class="mensajeminimo">PRECIO</td>
				    <td width="23%" class="mensajeminimo"></td>
			      </tr>
			  </table>
			  <table align="left" class="fuente8" width="30%" cellspacing=0 cellpadding=3 border=0>
				  <tr>
				    <td colspan="5"  class="">&nbsp;</td>
		        </tr>
				  <tr>
				    <td colspan="5">&nbsp;</td>
			    </tr>
				  <tr>
				    <td colspan="5"><input  name="accion" id="accion" type="hidden" value="alta" readonly></td>
			      </tr>
				  
				  <tr>
				    <td width="20%">Codigo</td>
				    <td width="47%"><input name="cdgbar" value="" type="text"  id="cdgbar"   onChange="validararticulo()"    autocomplete= "off"   onFocus="buscar(); siguienteCampo ='fechainicio';" class="cajaPequena" >
					 <img src="../img/search-b-icon (5).png" alt="Buscar" width="32" height="32" title="Buscar articulos" onClick="ventanaArticulos()" onMouseOver="style.cursor=cursor">					</td>
				    <td width="3%">&nbsp;</td>
				    <td width="3%">&nbsp;</td>
				    <td width="27%">&nbsp;</td>
			      </tr>
				  <tr>
				    <td>Articulo</td>
				    <td colspan="4">
					<input id="dscart" name="dscart" type="text" class="cajaGrande" autocomplete="off"   value="" onFocus="siguienteCampo ='fechainicio';"  onKeyPress="buscar_articulos()"   onChange="buscar_articulos()">					</td>
			      </tr>
				  <tr>
				    <td>Todos</td>
			        <td> <input type="checkbox" id="articulos" name="articulos"  value="1" c onClick="insert_articulos()" /></td>
			        <td>&nbsp;</td>
			        <td>&nbsp;</td>
			        <td>&nbsp;</td>
				  </tr>
				  <tr>
				    <td colspan="5" align="center"><img src="../img/Recycle-Full-icon (3).png" alt="1" width="48" height="48" onClick="limpiar_articulos()" onMouseOver="style.cursor=cursor" border="0"></td>
			      </tr>
				  <tr>
				    <td colspan="5">&nbsp;</td>
			      </tr>
			  </table>
			  <iframe width="69.5%" height="255" frameborder="1" id="frame_rejilla_lineas" name="frame_rejilla_lineas" >
                <ilayer width="100%" height="60" id="frame_rejilla_lineas" name="frame_rejilla_lineas"></ilayer>
		      </iframe>
			  
			  
			  				 <input type="hidden" id="chkec_articulos" name="chkec_articulos">
                 <input type="hidden" id="cdgarttmp" name="cdgarttmp">
			  </form>
			  <iframe id="frame_datos" name="frame_datos" width="0" height="0" frameborder="0"> <ilayer width="0" height="0" id="frame_datos" name="frame_datos"></ilayer> </iframe>
			  <iframe id="frame_datos2" name="frame_datos2" width="0" height="0" frameborder="0"> <ilayer width="0" height="0" id="frame_datos2" name="frame_datos2"></ilayer></iframe>
				  </div>
		  </div>
    </div>
	 
	</body>
</html>
